/* $Header: /plx/source/Xclients/generic/RCS/sunSpecific.c,v 0.107 1996/06/12 22:33:54 lovvik Exp $ */
/*
 *   Copyright (c) 1994 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: George Drapeau
 */
/* $Log: sunSpecific.c,v $
 * Revision 0.107  1996/06/12  22:33:54  lovvik
 *    Moved all funtions into video.c  There is no longer a file for
 *    platform-specific functions.
 *
 * Revision 0.106  1996/05/28  22:11:01  lovvik
 *   Moved all functions to utils.c and video.c
 *   These functions are commented out.  Only the
 *   Audio-specific information remains.
 *
 * Revision 0.105  1996/05/14  21:30:09  lovvik
 *   Fixed a minor problem in ShowInputWorkProc().
 *
 * Revision 0.104  1996/04/21  23:33:53  lovvik
 *   Added output support.
 *
 * Revision 0.103  1996/01/25  04:18:51  drapeau
 * Added support for the PlxOutputCascade to automatically create the
 * output menu hierarchy, for enhanced flexibility.
 *
 * Revision 0.102  1996/01/05  23:37:11  drapeau
 * Minor addition to ShowCompactMovieDialog() to account for new
 * interface feature that should be greyed out when this function is
 * called.
 *
 * Revision 0.101  1995/12/09  00:29:43  lovvik
 * Fixed 3 problems:
 *   1.  Fixed the label on the main MovieTool panel
 *       that indicates the source and standard of
 *       the video signal.  The structure called
 *       "theSignal" in ShowInputWorkProc() did
 *       not contain the current values returned
 *       from the input1Widget query.
 *   2.  Output did not turn off when video input
 *       was selected.  I added a code section
 *       in ShowInputWorkProc() that turns of
 *       output if it is on.
 *   3.  After turning on output, the user can no
 *       longer adjust the image quality or record
 *       speed.  I modified the output code segment
 *       in ShowInputWorkProc() to enable those
 *       controls.
 *
 * Revision 0.100  1995/11/23  03:56:24  drapeau
 * Minor changes to eliminate compiler warnings.
 *
 * Revision 0.99  1995/10/27  20:49:14  drapeau
 * Check if output has been disabled; if so, allow recording and saving
 * to be done again.
 *
 * Revision 0.98  1995/10/06  23:01:41  drapeau
 * Added support for showing the current input signal type in use.
 *
 * Revision 0.97  1995/10/03  18:46:20  lovvik
 * Fixed a problem in ShowInput1() and ShowInput2().  The
 * record frame rate was not being set when the signal
 * standard changed.  I simply added an assignment to
 * set the recordFrame rate every time the signalFrameRate
 * is set and the recordSpeedSlider is set.
 *
 * Revision 0.96  1995/10/02  21:56:10  drapeau
 * Added support for keeping track of the user interface's visibility
 * state: whether some panels are mapped or not, etc.
 *
 * Also, updated the input selection functions.
 *
 * Revision 0.95  1995/05/12  00:21:11  lovvik
 * Added label names in the initialization of audioMap[].
 * This was required because of a change in the
 * AudioModuleMapEntry structure.
 *
 * Revision 0.94  1995/04/27  00:42:01  lovvik
 * Added audioMap which contains:
 *   1)  Command line parameter string
 *   2)  AudioObject-specific help
 *   3)  The address of the audio object
 * for each audio object that is supported on sun.
 *
 * Revision 0.93  1995/02/13  18:37:07  lovvik
 * Added some functions to add output functionality to
 * this version of MovieTool.  This was originally
 * implemented on the HP platform.  I added CreateJPEGWidget(),
 * OutputWorkProc(), and OutputCallback() to this file.
 * These functions are pretty much just a copy of the hp
 * version of the functions.  The output option does not work
 * correctly because of an error in the JPEG widget.  When
 * the JPEG widget does its redisplay method, it turns output
 * off.
 *
 * Revision 0.92  1994/10/26  17:33:56  drapeau
 * Added stubs for output; the output feature is not currently
 * implemented on the Sun platform.  Also, added support for a new input
 * model, including the addition of the "first available input" function.
 *
 * Revision 0.91  1994/09/13  08:10:41  drapeau
 * Removed extraneous variables.
 *
 * Revision 0.90  1994/08/27  05:49:38  drapeau
 * First working version.
 * */
static char sunSpecificRcsid[] = "$Header: /plx/source/Xclients/generic/RCS/sunSpecific.c,v 0.107 1996/06/12 22:33:54 lovvik Exp $";


