/*
 *   Copyright (c) 1994 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: George Drapeau
 */
/* $Header: /plx/source/Xclients/generic/RCS/sunSpecific.c,v 0.103 1996/06/12 22:18:13 lovvik Exp $ */
/* $Log: sunSpecific.c,v $
 * Revision 0.103  1996/06/12  22:18:13  lovvik
 *   Moved all funtions into video.c  There is no longer a file for
 *   platform-specific functions.
 *
 * Revision 0.102  1996/01/22  07:58:05  drapeau
 * Added support for a new XVideoIn widget resource, "stillDelay".  The
 * new resource allows the programmer to set the delay time between the
 * time the widget freezes the digitizer and the time the widget grabs a
 * still image from its window.
 *
 * Revision 0.101  1995/10/05  04:39:59  drapeau
 * Removed functionality made obsolete by the new OutputCascade code for
 * representing and selecting output signal types.
 *
 * Revision 0.100  1995/05/31  18:58:55  drapeau
 * Modified Input2Callback() to call ShowInputSettings() so that the
 * interface always shows the most current input settings.
 *
 * Revision 0.99  1995/05/26  00:41:26  drapeau
 * Fixed an error in OutputCallback(): the output interface controls were
 * not enabled when output was turned on, nor were they disabled when
 * output was turned off.  They are now correctly enabled and disabled at
 * the appropriate times.
 *
 * Revision 0.98  1994/10/06  21:27:10  drapeau
 * Added a stub for a function written as an HP hack,
 * RestoreInput2IfNeeded().  Since it is called by OS-neutral code, a
 * stub had to be placed in this Sun-specific module.
 *
 * Revision 0.97  1994/09/30  16:53:22  drapeau
 * Added two parameters to SaveImageFileInFormat(), to accommodate saving
 * images in other than full-size (width & height).
 *
 * Revision 0.96  1994/09/23  06:46:33  drapeau
 * New code to handle detection of input signals.  If inputs are not
 * enabled, saving of stills is not allowed.
 *
 * Revision 0.95  1994/09/13  08:04:59  drapeau
 * Fixed an error in Input2Callback(), which was incorrectly setting the
 * 2nd input's input to the 1st digitizer.  Also, added a call to
 * ResizeVideoWidgetIfNecessary() to handle widget adjustments when
 * finding a new signal standard.
 *
 * Revision 0.94  1994/09/04  07:15:45  drapeau
 * Enabled auto-search on video input widgets.
 *
 * Revision 0.93  1994/08/24  22:32:02  drapeau
 * Removed a memory leak in SaveImageFileInFormat(); now properly
 * destroying image data after saving to disk and no longer needed.
 *
 * Revision 0.92  1994/08/19  02:36:06  andyg
 * Moved function SaveImageFileInFormat() into this platform-
 * specific file.
 *
 * Revision 0.91  1994/08/14  01:43:45  drapeau
 * Added the function OsSpecificInit() for platform-specific
 * initialization code.
 *
 * Revision 0.90  1994/08/10  03:09:00  drapeau
 * First working version.
 * */
static char sunSpecificRcsId[] = "$Header: /plx/source/Xclients/generic/RCS/sunSpecific.c,v 0.103 1996/06/12 22:18:13 lovvik Exp $";

/*
 * This file is now a place holder so we can replicate previous release
 * trees.  The contents of this file have been merged into video.c.
 */
